var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classNames from 'classnames';
import { Tag, } from '@alifd/next';
import { Color, COLORED_CLASS_NAME, PROTECTED_TYPE, } from '../const';
function ColoredTag(_a) {
    var _b = _a.type, type = _b === void 0 ? Color.LIGHT_STEEL_BLUE : _b, className = _a.className, restProps = __rest(_a, ["type", "className"]);
    return (React.createElement(Tag, __assign({}, __assign(__assign({}, restProps), { className: classNames(COLORED_CLASS_NAME, "".concat(COLORED_CLASS_NAME, "-").concat(type), className) }))));
}
ColoredTag[PROTECTED_TYPE] = 'Tag';
export default ColoredTag;
